package com.perforce.hws.automation;

import java.io.IOException;

/**
 * Used to indicate functional methods that might throw IOException.
 */
@FunctionalInterface
public interface IOFunction<T, R> {

    R apply(T t) throws IOException;
}
